My Account
× My Account Media Forum Supporter Packs

Last Epoch Forums

Running the game on my IMac

Hi there,
I’m planning to join the community but before doing this, I try to have some feed back on the capacity of my computer to run the game properly.

iMac (27 inches, half-2011)
OS-X 10.13.6
3,1 GHz Intel Core i5
16 Go 1333 MHz DDR3
AMD Radeon HD 6970M 2048 Mo

So what do you think?
Seem to be possible to play without lags and crashes or better wait until I change my computer?

Thank you for your help!

P.S.: I hope it is the right place to post :slight_smile:

Hi there,

This is certainly the right place to post :slight_smile:

Your computer is below our system requirements, specifically your graphics card. We recommend a Radeon R9 270 or GTX 660 and above. Unfortunately, most Macs are below our system requirements. The game may run, but we can’t commit to it being a smooth experience.

Sorry about that!

1 Like

Heya!

Don’t be sorry! My computer i getting old now… So I was pretty sure about the answer but I just wanted the confirmation.
Thank you for your answer anyway!

And good luck for your work!

Read you later! maybe in a few month, on my next computer, in game! :grin:

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.